package io.tswf.groovy.bettergroovy.asm.member.filters.standard

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.member.IMember
import io.tswf.groovy.bettergroovy.asm.member.filters.IGeneratedMemberFilter
import org.objectweb.asm.Opcodes

@AutoService(IGeneratedMemberFilter)
@CompileStatic
class GeneratedModifierMemberFilter implements IGeneratedMemberFilter {

    @Override
    boolean isGenerated(IMember member) {
        return member.hasModifier(Opcodes.ACC_SYNTHETIC)
    }
}
