package io.tswf.groovy.bettergroovy.asm.member.filters.standard

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.asm.member.IMember
import io.tswf.groovy.bettergroovy.asm.member.filters.ITransientMemberFilter

import java.lang.reflect.Modifier

@CompileStatic
@AutoService(ITransientMemberFilter)
class TransientModifierMemberFilter implements ITransientMemberFilter {

    @Override
    boolean isTransient(IMember member) {
        return Modifier.isTransient(member.modifiers)
    }
}
