package io.tswf.groovy.bettergroovy.asm.tree.iterator

import groovy.transform.CompileStatic
import org.objectweb.asm.tree.AbstractInsnNode

@CompileStatic
class InsnsIterable implements Iterable<AbstractInsnNode> {

    AbstractInsnNode current

    InsnsIterable(AbstractInsnNode current) {
        this.current = current
    }

    @Override
    Iterator<AbstractInsnNode> iterator() {
        return new InsnsNextIterator(current)
    }
}
