package io.tswf.groovy.bettergroovy.asm.member

import org.objectweb.asm.Type
import org.objectweb.asm.tree.AnnotationNode
import org.objectweb.asm.tree.ClassNode

interface IMember {
    String getName()
    Type getType()
    ClassNode getOwner()
    List<AnnotationNode> getAnnotations()
    int getModifiers()
    boolean hasModifier(int mod)
    boolean hasAnnotation(Type annotationType)
    boolean hasAnnotation(Class annotationType)
    boolean hasOwner()
}